Skip to main content

Documentation Portal

GetShippingDetails API Structure

Retrieves shipping details per cart or mini cart and product page.

Method/URL

POST https://{globale_api_domain}/ShippingDetails/GetShippingDetails

Parameters

Request URL Parameters

Name

Type

Description

Mandatory

merchantGUID

String

Unique Merchant Identifier and API token.

The Merchant Identifier is different for test and live environments.

Instead implement JWT authentication.

No, if used for the JWT implementation (since it has been used in the Authorization and UserName headers)

Request Body Parameters

Name

Type

Description

Mandatory

destinationCountry

String

The destination country

Length: 2-3 letters (both ISO-2 and ISO-3 are supported)

If empty, the API returns a list of shipping rates for all countries configured in the Global‑e System.

Example: US or USA for the United States

No

currencyCode

String

The country's currency code.

Length: 3 letters

Example: CAD , USD , ILS , EUR

Yes

amount

Decimal (Float)

The shipping cost

This number can contain up to two digits after the decimal point

Example: 50.30

Yes

productCodes

Array

The unique product reference (SKU, EAN, Barcode, and more.)

["product123","productABC"]

No

Response

The API response can include up to two objects per destination:

  • Object with the cheapest estimated shipping cost for the submitted currency and amount value

  • Object with the Free Shipping threshold range (where applicable).

The returned data is determined by the submitted amount, that is, the response only returns a shipping service for which the amount passed in the request is greater than or equal to the minimum flat shipping rate range, and lower than the maximum flat shipping rate range.

Minimum flat shipping rate range ≤ product/cart amount < maximum flat shipping rate range.

Response Parameters

NameName

Type

Description

destinationCountry

String

The destination country's ISO code

Length: 2/3-letters ISO country code based on the request value

Example: ISR, IL, USA, US

status

String

Shipping methods availability

Active: Shipping methods were found for this destination

noShippingMethodsAvailable: No active shipping methods were found. Shipments to the selected destination are currently not supported.

shippingRates

Array

This array contains up to two shipping service objects.

These two shipping rate objects that can be returned are as per the Shipping Details API logic. For more information, see Shipping Details.

If the cheapest shipping service is the first to be subject to free shipping, only one shippingRates object is returned.

The shippingRates object contains the following attributes:

  • minOrderSubtotal:

  • maxOrderSubtotal

  • shippingCost

  • shippingCostCurrency

  • shippingPriority

  • estimatedDeliveryDays

  • specialOfferExpiryDate

Response Example

[
    {
        "destinationCountry": "USA",
        "status": "active",
        "shippingRates":
        [
            {
                "minOrderSubtotal": 0.0000,
                "maxOrderSubtotal": 100.0000,
                "shippingCost": 15.0000,
                "shippingCostCurrency": "USD",
                "shippingPriority": "Express Courier (Air)",
                "estimatedDeliveryDays": "1-3",
                "specialOfferExpiryDate": null
            },
            {
                "minOrderSubtotal": 100.0000,
                "maxOrderSubtotal": 9999999.0000,
                "shippingCost": 5.0000,
                "shippingCostCurrency": "USD",
                "shippingPriority": "Express Courier (Air)",
                "estimatedDeliveryDays": "1-3",
                "specialOfferExpiryDate": null
            }
        ]
    }
]